// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.handler;


import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.ui.PartInitException;

import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditor;
import eu.etaxonomy.taxeditor.editor.molecular.AlignmentEditorInput;
import eu.etaxonomy.taxeditor.model.MessagingUtils;



/**
 * Opens the {@link AlignmentEditor}.
 * 
 * @author pplitzner
 * @date 04.08.2014
 */
@Deprecated
public class OpenAlignmentEditorHandler extends AbstractHandler {
    /* (non-Javadoc)
     * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
     */
    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {
        AlignmentEditorInput input = new AlignmentEditorInput(null);  //TODO Does it make sense to start an empty editor?
        try {
            EditorUtil.open(input);
        } 
        catch (PartInitException e) {
            MessagingUtils.error(OpenAlignmentEditorHandler.class, "Could not open AlignmentEditor", e);
        }
        return null;
    }
}
